function love.load()
	require "ball"
	require "player2"
	require "player1"
	
	love.graphics.setBackgroundColor(255, 255, 255)
	love.graphics.setColor(255, 255, 255)
	loadImg()
	setStartingPosition()
end

function loadImg()
	ball.img = love.graphics.newImage("img/ball.png")
	player1.img = love.graphics.newImage("img/player1.png")
	player2.img = love.graphics.newImage("img/player2.png")
end

function setStartingPosition()
	ball.x = 400
	ball.y = 300
	ball.move = 0
	randBallDir()
	player1.x = 5
	player1.y = 300
	player2.x = 765
	player2.y = 300
end

function love.update(dt)
	moveBall(dt)
	movePlayer1(dt)
	movePlayer2(dt)
end

function love.draw()
	love.graphics.draw(ball.img, ball.x, ball.y)
	love.graphics.draw(player1.img, player1.x, player1.y)
	love.graphics.draw(player2.img, player2.x, player2.y)
end