ball = {}
ball.speed = 300
ball.width = 40
ball.height = 40

function collisionBall()
	if ball.x <= player1.x+player1.width then
		if (ball.y+ball.height) >= player1.y and
			ball.y <= (player1.y+player1.height) then
			ball.move = 1
			ball.speed = ball.speed + 15
		end
	end
	if (ball.x+ball.width) >= player2.x then
		if (ball.y+ball.height) >= player2.y and
			ball.y <= (player2.y+player2.height) then
			ball.move = 2
			ball.speed = ball.speed + 15
		end
	end
	if (ball.x+ball.width) < 0 or ball.x > 800 then
		ball.move = 0
		ball.x = 400
		ball.y = 300
		ball.diff = 95
		randBallDir()
		ball.speed = 300
	end
end

function moveBall(dt)
	collisionBall()

	if ball.move == 0 then
		ball.x = ball.x + ball.speed*dt*ball.dirx
		ball.y = ball.y + ball.speed*dt*ball.diry
	end
	if ball.move == 1 then
		ball.x = ball.x + ball.speed*dt
		ball.y = ball.y + ball.speed*dt*ball.diry
	end
	if ball.move == 2 then
		ball.x = ball.x + ball.speed*dt*(-1)
		ball.y = ball.y + ball.speed*dt*ball.diry
	end

	if ball.y <= 0 or ball.y >= (600-ball.height) then
		ball.diry = ball.diry*(-1)
	end
end

function randBallDir()
	local _ = math.random(1, 2)
	if _ == 1 then ball.diry = -1
	elseif _ == 2 then ball.diry = 1
	end
	_ = math.random(1, 2)
	if _ == 1 then ball.dirx = -1
	elseif _ == 2 then ball.dirx = 1
	end
end